[java-shib-idp2 COMMIT] /branches/REL_2/src/installer/bash/install.sh

noreply at shibboleth.net noreply at shibboleth.net
Thu Jan 8 08:20:22 EST 2015


Author: rdw
Date: Thu Jan  8 08:20:22 2015
New Revision: 3208

URL: http://svn.shibboleth.net/view/java-shib-idp2?rev=3208&view=rev
Log:
SIDP-625 Exit with failure status when required.

Modified:
    branches/REL_2/src/installer/bash/install.sh

Modified: branches/REL_2/src/installer/bash/install.sh
URL: http://svn.shibboleth.net/view/java-shib-idp2/branches/REL_2/src/installer/bash/install.sh?rev=3208&r1=3207&r2=3208&view=diff
==============================================================================
--- branches/REL_2/src/installer/bash/install.sh (original)
+++ branches/REL_2/src/installer/bash/install.sh Thu Jan  8 08:20:22 2015
@@ -27,7 +27,7 @@
 if [ ! -x "$JAVACMD" ] ; then
   echo "Error: JAVA_HOME is not defined correctly."
   echo "  We cannot execute $JAVACMD"
-  exit
+  exit 1
 fi
 
 if [ -n "$CLASSPATH" ] ; then



More information about the commits mailing list